<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos";

$sessao = new sessao();
$anoCorrente=$sessao->getvar('anocorrente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$requerente=$sessao->getVar('requerente');
//echo(" Operador: $nomeOperador idlabo=$idLabo  anoCorrente $anoCorrente  requerente=$requerente<br>");
////////////
//aqui vou fazer pesquisa por mes para fins de tirar o relatorio mensal
//e tambem vou fazer pesquisa por requerente

//como sera esta pesquisa:
//o sistema vai pegar todos requerentes colocando dentro de um vetor vetor requerente
//em seguida ele pesquisa se o requerente tem pedidos 
//ENTRA DE QUAKQUER MANEIRA
$objPagamento=new tabelagenerica();
$objRequerente=new tabelagenerica();
$objetocalculo=new calculos();
//cria  tabela de requerentes e seus respectivos servicos encomendados
$objRequerente->tabela="remetente";
$objRequerente->campos_valores = array(
		"prd_nome" => NULL,
        "prd_id"=>NULL,
	);
	$objRequerente->extras_select =" where prd_id_lab=".$idLabo." order by prd_nome";
    $objRequerente->selecionaCampos($objRequerente);
	while ($resRequerente = $objRequerente->retornaDados()):
	        //echo("XXXXXXXXXXXXyyy $contador kkk $resRequerente->prd_nome<br>");
	        $contadorRequerentes++;
			$idRequerente=$resRequerente->prd_id; 
 	        $matrizAcertoRequerente[$contadorRequerentes][0]=$resRequerente->prd_id;
 	        $matrizAcertoRequerente[$contadorRequerentes][1]=$resRequerente->prd_nome;
            //vai achar todas amostras do requerente e ja vai calcular seus servixos 
			$userAmostra = new amostras();
		    $userAmostra->extras_select =  " where fic_produtor=".$idRequerente;
		    $userAmostra->selecionaCampos($userAmostra);
            $somaCusto=0;
		    while ($resAmostra = $userAmostra->retornaDados()):
		        $amostraLong=$resAmostra->fic_id;
	        
		    endwhile;				
 	        $matrizAcertoRequerente[$contadorRequerentes][2]=$somaCusto;
 	        //calcula o recebido
			
			//ENTRA DE QUAKQUER MANEIRA
			$acumuladoPagamento=0;
			/*
			$objPagamento->tabela="pagamento";
			$objPagamento->campos_valores = array(
					"pag_valor" => NULL,
			);
			$objPagamento->extras_select =" where  pag_id_cliente=".$idRequerente;
		    $objPagamento->selecionaCampos($objPagamento);
			$acumuladoPagamento=0;
			while ($resPagamento = $objPagamento->retornaDados()):
			   $acumuladoPagamento+=$resPagamento->pag_valor;
		    endwhile;
			*/
            $matrizAcertoRequerente[$contadorrequerentes][3]=$acumuladoPagamento;
 	        $matrizAcertoRequerente[$contadorRequerentes][4]=$somaCusto-$acumuladoPagamento;
    endwhile; 




/*
//VARRE TODOS requerenteS PROCURANDO PELAS TTA E PELOS PAGAMENTOS
//aqui vai achar os requerentes
$objRequerente->tabela="requerentes";
$objRequerente->campos_valores = array(
		"nome" => NULL,
        "id"=>NULL,
	);
	$objRequerente->extras_select =" where id_lab=".$idLabo." order by nome";
    $objRequerente->selecionaCampos($objRequerente);
	$contadorrequerentes=0;
	
	
	while ($resrequerente = $objRequerente->retornaDados()):
	        //echo("XXXXXXXXXXXX $contador kkk $resrequerente->nome<br>");
	        $contadorrequerentes++;
			$idRequerente=$resrequerente->id; 
 	        $matrizAcertoRequerente[$contadorrequerentes][1]=$resrequerente->nome;
 	        $matrizAcertoRequerente[$contadorrequerentes][0]=$idRequerente;
            //aqui soma todas os valores cobrados deste requerente na tabela tta     
            //cria o objeto tta para esquisa-lo atraves da id do requerente  
            $somaCobrado=0;
			$objTTA->tabela="tta";
			$objTTA->campos_valores = array(
					"cobrado" => NULL,
			        "id"=>NULL,
				);			
			$objTTA->extras_select =" where id_requerente=" .$idRequerente;
		    $objTTA->selecionaCampos($objTTA);
         	while ($resTTA = $objTTA->retornaDados()):
				$somaCobrado+=$resTTA->cobrado;                                          
            endwhile; 
 	        $matrizAcertoRequerente[$contadorrequerentes][2]=$somaCobrado;
            //////////////////////////////////////////////////	
			//verifica todos pagamentos deste requerente
			////////////////////////
			//ENTRA DE QUAKQUER MANEIRA
			$objPagamento->tabela="pagamento";
			$acumuladoPagamento=0;
			$objPagamento->campos_valores = array(
					"pag_valor" => NULL,
			);
			$objPagamento->extras_select =" where  pag_id_requerente=".$idRequerente;
		    $objPagamento->selecionaCampos($objPagamento);
			$acumuladoPagamento=0;
			while ($resPagamento = $objPagamento->retornaDados()):
			   $acumuladoPagamento+=$resPagamento->pag_valor;
		    endwhile;
            $matrizAcertoRequerente[$contadorrequerentes][3]=$acumuladoPagamento;
            $matrizAcertoRequerente[$contadorrequerentes][4]=$somaCobrado-$acumuladoPagamento;
	endwhile; //fecha while da tabela de requerentes


*/

$anoCorrente=date("Y");
$sessao->setVar('anocorrente',$anoCorrente);

switch ($tela):

    case 'acertos_requerentes':
	   if(get('prd_id') !== ""):
	       $idRequerente=get('prd_id');
	   else:
	       $idRequerente=post('idRequerente');
	   endif;
	   //echo("idrequerenteyyyy=$idRequerente<br>");	
	   $sessao->setVar("idProdutor",$idRequerente);//coloca a id produtor na sessao
	   
	   
	   if(post('imprimirextrato') !== ""):
	    $sessao->setVar("controle",6);//numero de colunas
	    $nomeRemetente=$sessao->getVar('controle2');
	    $sessao->setVar("controle1","Demonstrativo de cliente ".$nomeRemetente);
		$titulos='Amostra:Date receb:Especie:Testes:Valor:Pago:';
	    $sessao->setVar("controle3",$titulos);
 		echo '<iframe src="imprimeGenerico2014.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  

	   endif;
	   
	   if(post('relatorioMensal') !== ""):
	    $nomeRemetente=$sessao->getVar('controle2');
 		echo '<iframe src="relatorioMensal.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
	   endif;
	   
	   
	   
	   
	      
       //////////////////////////////
        if (post('salvarPagamento') !== ""):
		    //echo("savar dados   idRequerente=$idRequerente<br>");
            $duplicado=TRUE;
                $valor=post('valor');
                if($valor==0):
				  $duplicado=FALSE;
				  printMSG('Insira um valor de pagamento, maior que zero.');
                endif; 
                $historico=post('historico');
                if(strlen($historico)<5):
				  $duplicado=FALSE;
				  printMSG('Informe um histórico mais detalhado.');
                endif; 

            //vai gravar se esta tudo certinho
            if ($duplicado==TRUE):
          
			    $user = new pagamento(array(
                'pag_valor'=>post('valor'),
                'pag_historico'=>post('historico'),
                'pag_id_cliente'=>$idRequerente,
                'pag_id_lab'=>$idLabo,
                'pag_operador'=>substr($nomeOperador,0,10),
            ));
			//echo("duplicado= $duplicado<br>");
			
                $user->inserir($user);
				$novoID=$user->linhasafetadas;
			    //echo("duplicado= $duplicado novoID=$novoID<br>");
				
                if ($user->linhasafetadas>0):
                    printMSG('Pagamento '.post('valor').' inserido com sucesso. <a href="'.ADMURL.'?m=financeiro&t=resumo_requerente">Exibir lista de requerentes.</a>');
                endif;
				unset($_POST);
            endif;            
        endif;

       ////////////////////////////
	   //captura o nome do requerente tendo o id   

	   $objRequerente->tabela="remetente";
       $objRequerente->campos_valores = array(
		  "prd_nome" => NULL,
    	);
		$objRequerente->extras_select =" where prd_id=".$idRequerente;
	    $objRequerente->selecionaCampos($objRequerente);
		while ($resrequerente = $objRequerente->retornaDados()):
	 	        $nomerequerente=$resrequerente->prd_nome;
	    endwhile;   	   
        $sessao->setVar('controle2',$nomerequerente);
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "200px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>

        <form class="userform" method="post" action="">

        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">

            <thead>
                <tr>
                    <th>Amostra</th><th>Data Receb</th><th>Espécie</th><th>Testes</th><th>Valor</th><th>Pago</th>
                </tr>
            </thead>
            <tbody>
                <?php 

	
				///////////////
			    /////soma o valor cobrado deste requerente
		        //vai achar todas amostras do requerente e ja vai calcular seus servixos 
				//$userAmostra = new amostras();
			    //$userAmostra->extras_select =  " where fic_produtor=".$idRequerente;
			    //$userAmostra->selecionaCampos($userAmostra);
		        //$somaCusto=0;
				$userAmostra=new tabelagenerica();
				$userAmostra->extras_select =" select fic_dt_entrada,fic_custo,fic_pagou,fic_id,fic_amostra,esp_nome from especies,ficha,cultivar where ctv_especie=esp_id and ctv_id=fic_cultivar and  fic_produtor=".$idRequerente;
				$userAmostra->selecionaCamposEspecial($userAmostra);
			    $testes="";
				//while ($resgenerica1= $generica1->retornaDados()):
				    //$testes=$testes.$resgenerica1->tes_teste.'; ';//
				//endwhile;
				$somaQuitacoes=0;
				//abre o arquivo com w para apagar tudo preparando para imprimir
	            $f=fopen("impdetail.txt","w",0); 
	            fclose($f);
				
			    while ($resAmostra = $userAmostra->retornaDados()):
			        $amostraLong=$resAmostra->fic_id;
					$testes=$objetocalculo->capturaTestesSolicitados($amostraLong);	
					$amostra=$resAmostra->fic_amostra;
					$pagamento=$resAmostra->fic_pagou; 
		            $custo=$resAmostra->fic_custo;
                    if($pagamento=="SIM"):
				       $somaQuitacoes+=$custo;
					endif;
		            $somaCusto+=$custo;		        
                    echo '<tr>';
                    printf('<td>%s</td>',$amostra);
	                    printf('<td>%s</td>',date("d/m/Y",strtotime($resAmostra->fic_dt_entrada)));
                    printf('<td>%s</td>',$resAmostra->esp_nome);
                    printf('<td>%s</td>',$testes);
                    printf('<td>%s</td>',number_format($custo,2,'.',''));
                    printf('<td>%s</td>',$resAmostra->fic_pagou);
                    echo '</tr>';
					
					///////////////////////////
					//prepara  para gravacao
				     $a=$amostra;
				     $b=date("d/m/Y",strtotime($resAmostra->fic_dt_entrada));
				     $c=$resAmostra->esp_nome;
				     $d=$testes;
				     $e=number_format($custo,2,'.','');
				     $f=$resAmostra->fic_pagou;
					 //$f='ffrr';
				     //grava linha apos linha
					 $fileoto=fopen("impdetail.txt","a+",0); 
				     //$linha=$a.":".$b.":".$c.":".$d.":".$e.":".$f.":\n";
				     $linha=$a.":".$b.":".$c.":".$d.":".$e.":".$f.":\n";
				     fwrite($fileoto,$linha,strlen($linha));
					 fclose($fileoto);		
					/////////////////////
			    endwhile;				
                    echo '<tr>';
                    printf('<td>%s</td>','Soma:');
                    printf('<td>%s</td>','-');
                    printf('<td>%s</td>','-');
                    printf('<td>%s</td>','-');
                    printf('<td>%s</td>',number_format($somaCusto,2,'.',''));
                    printf('<td>%s</td>','-');
                    echo '</tr>';



			    $cobrado=$somaCusto;   
			    echo("<h2>Valor cobrado e pagamentos. requerente: $nomerequerente  </h2>" );
	
		
                ?>
            </tbody>
        </table> 
   <!--segunda tabela dentro da mesma tela vamo ve se poss faze isso -->
   <?php
   	
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
   ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers1").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "100px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>


        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers1">
          



            <thead>
                <tr>
                    <th>Valor pago</th><th>Histórico</th><th>Operador</th>
                </tr>
            </thead>
            <tbody>
                <?php 
				$somaPagamento=0;
				///////////////
				//ENTRA DE QUAKQUER MANEIRA
				$generica1=new tabelagenerica();
				$generica1->tabela="pagamento";
				$generica1->campos_valores = array(
						"pag_valor" => NULL,
						"pag_historico" => NULL,
						"pag_operador" => NULL,
				);
				$generica1->extras_select =" where  pag_id_cliente=".$idRequerente;
			    $generica1->selecionaCampos($generica1);
				///////////////
				
				while ($resgenerica1 = $generica1->retornaDados()):
				    $somaPagamento+=$resgenerica1->pag_valor;
                    echo '<tr>';
                    printf('<td>%s</td>',$resgenerica1->pag_valor);
                    printf('<td>%s</td>',$resgenerica1->pag_historico);
                    printf('<td>%s</td>',$resgenerica1->pag_operador);
                    echo '</tr>';
			    endwhile;				
				$saldo=$cobrado-$somaQuitacoes;
				$maquiagem1=number_format($cobrado,2,'.','');
				$maquiagem2=number_format($somaQuitacoes,2,'.','');
				$maquiagem3=number_format($saldo,2,'.','');
				
				                
           	    echo("<br>Valor do serviço: $maquiagem1 Valor pago=$maquiagem2 Saldo a pagar=$maquiagem3 <br>"); 
               

                ?>
            </tbody>
				
        </table> 





		<br>
                <fieldset>
		
                 <legend>Informe novo pagamento</legend>
                    <ul>
                        <li><label for="Valor">Valor:</label>
                        <input type="text" size="5" name="valor" autofocus="autofocus" maxlength="7" value="" /></li>
                        <li>Histórico(Data/cheque/deposito) <input type="hidden" size="5" name="idRequerente"  value="<?php echo $idRequerente;?>" /></li>
                        <input type="text" size="50" name="historico"  maxlength="100" value="" /></li>
						<input type="submit" name="salvarPagamento" value="Salvar" /></li>  
						<input type="submit" name="imprimirextrato" value="Imprimir extrato" /></li>  
						<input type="submit" name="relatorioMensal" value="Relatório mensal" /></li>  

                    </ul>
                </fieldset>
		   </form>
		
		
		
		
        
        <?php        



	
	
	break;

    case 'resumo_requerente':
        echo("Se clicar em ações, vai acessar a tela para informar pagamento do client e histórico ");
        echo '<h2>Resumo financeiro dos requerentes</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>

        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome do requerente</th><th>Ações</th><th>Serviço</th><th>Recebido</th><th>A receber</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                for($i=1;$i<=$contadorRequerentes;$i++): 
                    echo '<tr>';
                    printf('<td>%s</td>',$matrizAcertoRequerente[$i][1]);
                    printf('<td class="center">
					</a> <a href="?m=financeiro&t=acertos_requerentes&prd_id=%s" title="Editar"><img src="images/edit.png" alt="Editar" />
					</a></td>',$matrizAcertoRequerente[$i][0]);
                    printf('<td>%s</td>',$matrizAcertoRequerente[$i][2]);
                    printf('<td>%s</td>',$matrizAcertoRequerente[$i][3]);
                    printf('<td>%s</td>',$matrizAcertoRequerente[$i][4]);
                    echo '</tr>';
                endfor;                
                ?>
            </tbody>
        </table>
        
        <?php        
    break;


    //este case é para dar a posicao do cliente mas ficou pesado e nao funcionava mais
    case 'resumo_financeiro':
	   if(post('bt_anoDigitado') !== ""):
          $anoDigitado=	post('anoDigitado');   
          echo("Ano digitado=$anoDigitado<br>");
          
	   endif;

       //se a pessoa digitou o ano ele pega o ano caso contrario pega o corrente	
       if($anoDigitado>0):
	      $anoCorrente=$anoDigitado;
	   endif;	
	
	
	
	
	
		loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Requerente</th><th>Feito</th><th>Quitou</th><th>Aberto</th><th>Pagamentos</th>
                </tr>
            </thead>
            <tbody>

            <?php 
			$campos="select distinct prd_apelido,prd_id";
			$generica=new generica();
			$generica->extras_select =$campos ."  from  ficha,remetente  where fic_labo=".$idLabo."  and prd_id=fic_produtor and YEAR(fic_dt_entrada)='".$anoCorrente."'  order by fic_amostra";
			$sqlFinal=$generica->extras_select;
			$generica->selecionaCamposEspecial($generica);
			$contador=1;
            //vou criar a matriz de conteudos que vai ter linhas e colunas
			$valorTotal=0;
            $saldoDevedor=0;
            $linhaRelatorio=1;
			
			
			

			while ($resgenerica= $generica->retornaDados()):
 			    $idRequerente=$resgenerica->prd_id;
                if($idRequerente>0):      				
				    echo"<tr>";
					//aqui tem o id do requerente e atraves dele vou pesquisas as amostras//////////////////////
					$userAmostra=new tabelagenerica();
					$userAmostra->extras_select =" select fic_pagou,fic_custo,fic_id,fic_amostra,fic_pagou_extra,fic_tta_complementar from ficha where  YEAR(fic_dt_entrada) = '". $anoCorrente."'  and fic_produtor=".$idRequerente;
					$userAmostra->selecionaCamposEspecial($userAmostra);
				    $testes="";
					$somaQuitacoes=0;
					$contador=0;
					$somaCusto=0;
	                $custoCliente=0;

				    while ($resAmostra = $userAmostra->retornaDados()):
						$amostraLong=$resAmostra->fic_id;
						//$testes=$objetocalculo->capturaTestesSolicitados($amostraLong);	
						$pagamento=$resAmostra->fic_pagou; 
						$pagamentoExtra=$resAmostra->fic_pagou_extra; 
			            $custo=$resAmostra->fic_custo;
	                    $custoExtra=$resAmostra->fic_tta_complementar;
						$somaCustos=$custo+$custoExtra;
						$custoCliente+=$somaCustos;
						if($pagamento=="SIM"):
					       $somaQuitacoes+=$custo;
					       $totalPago+=$custo;
						endif;
						if($pagamentoExtra=="SIM"):
					       $somaQuitacoes+=$custoExtra;
					       $totalPago+=$custoExtra;
						endif;
					endwhile;	
					//soma los pagamientos
					//ENTRA DE QUAKQUER MANEIRA
					$generica1=new tabelagenerica();
					$generica1->tabela="pagamento";
					$generica1->campos_valores = array(
							"pag_valor" => NULL,
							"pag_datacad" => NULL,
					);
					$generica1->extras_select =" where year(pag_datacad)= '". $anoCorrente."'   and pag_id_cliente=".$idRequerente;
				    $generica1->selecionaCampos($generica1);
					///////////////
	                $somaPagamento=0;  				
					while ($resgenerica1 = $generica1->retornaDados()):
					    $somaPagamento+=$resgenerica1->pag_valor;
				    endwhile;				
						
					//final da varrdura de amostras do cliente....
					printf('<td>%s</td>',$resgenerica->prd_apelido);
					printf('<td>%s</td>',$custoCliente);
					printf('<td>%s</td>',$somaQuitacoes);
					printf('<td>%s</td>',$custoCliente-$somaQuitacoes);
					printf('<td>%s</td>',$somaPagamento);

                endif;//examina se id_REQUERENTE>0
            endwhile; 			
			
			
			
                ?>
            </tbody>
        </table>
			       <form class="userform" method="post" action="">
				   <br>
				   <fieldset>
					<table  width="800">
					
                        <tr>
                        <td>						
						Ano:<input type="text" name="anoDigitado"  size="2" value="<?php echo $anoCorrente;?>" />
						<input type="submit" name="bt_anoDigitado"   value="Buscar este ano" />
			           <td><input type="button" onclick="location.href='?m=financeiro&t=resumo_mensal'" value="Voltar para RESUMO MENSAL" /></td> <!--vai para outra tela-->									
   						</td>
                        </tr>
                    </table>
					</fieldset>
	             </<form>








        
        <?php        
    break;   //do resumo financeiro(testa todos clientes)
		
		
		
    //Vai listar OPERADOR		
    case 'listar':
        echo '<h2>Usuários cadastrados</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th><th>Ações</th><th>Email</th><th>Login</th><th>Ativo/Adm</th><th>Cadastro</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new usuarios();
				$user->extras_select = "WHERE  nivel='OPERADOR' && id_lab=".$idLabo;

                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->nome);
                    printf('<td class="center"><a href="?m=usuarios&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a> <a href="?m=usuarios&t=editar&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a> <a href="?m=usuarios&t=senha&id=%s" title="Mudar senha"><img src="images/pass.png" alt="Mudar senha" /></a> <a href="?m=usuarios&t=excluir&id=%s" title="Excluir"><img src="images/delete.png" alt="Excluir" /></a></td>',$res->id,$res->id,$res->id);
                    printf('<td>%s</td>',$res->email);
                    printf('<td>%s</td>',$res->login);
	                    printf('<td class="center">%s/%s</td>',strtoupper($res->ativo ?? ""),strtoupper($res->administrador ?? ""));
	                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->datacad)));
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        
        <?php        
    break;

    case 'despesaMesSelecionado':
	   if (get('mesSelecionado') !== ""):
          $mesSelecionado = get('mesSelecionado');
          echo("mes Selecionado= $mesSelecionado<br>"); 		  
	   endif;	  
	   echo("<h2> Despesas do mes ".$mesSelecionado."/".$anoCorrente."</h2>"); 
	
	
	   if(post('imprimirDespesaMes') !== ""):
	      $mesSelecionado=post('mesSelecionado');
		  $sessao->setVar('controle',$mesSelecionado);  
          //echo("mesSelecionado  $mesSelecionado ano exportavel=$ano<br>");		  
          echo '<iframe src="financeiroDespesasMensais.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
	   endif;

	    loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
		?>
		<font color="red"><h2><?php echo($cabecalhoTela)?></h2></font>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum pedido econtrado para este cliente.",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "300px",
                "sScrollX": "800px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
			//em vez do zero colocando 1 para ordenar pela coluna 1
        </script>
		
		
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
 	               <!--  <th>Histórico</th>  <th>Valor</th>  <th>Data despesa</th>   <th>Data lançamento</th>  <th>Operador</th>-->
 	                <th>Histórico</th>  <th>Valor</th>  <th>Data despesa</th>   <th>Data lançamento</th>  <th>Operador</th>
                </tr>
            </thead>
            <tbody>
            <?php 
			$generica=new tabelagenerica();



			$somaDespesas=0;
                 //vai somar as despesas do mes
	            //ENTRA DE QUAKQUER MANEIRA para achar o ultimo
				$generica->tabela="despesasmensais";
				
						$generica->campos_valores = array(
						"des_data_despesa" => NULL,
						"des_valor" => NULL,
						"des_historico" => NULL,
						"des_operador" => NULL,
						"des_datacad" => NULL,
					);
				$generica->extras_select ="  where  month(des_data_despesa)='".$mesSelecionado."' and year(des_data_despesa)='".$anoCorrente."'  and des_id_lab=".$idLabo;
			    $generica->selecionaCampos($generica);
				$somaDespesas=0;
				while ($resgenerica = $generica->retornaDados()):
			        echo("<tr>");
					$somaDespesas+=$resgenerica->des_valor;
                   
	                printf('<td>%s</td>',$resgenerica->des_historico);
	                printf('<td>%s</td>',number_format($resgenerica->des_valor,2,",","."));
	                printf('<td>%s</td>',$resgenerica->des_data_despesa);
	                printf('<td>%s</td>',$resgenerica->des_datacad);
	                printf('<td>%s</td>',$resgenerica->des_operador);

				    echo("</tr>");
	            endwhile;
                ?>
            </tbody>
        </table>
			       <form class="userform" method="post" action="">
				   <br>
				   <fieldset>
					<table  width="800">
					
                        <tr>
                        <td>
						<input type="hidden" name="mesSelecionado" value="<?php  echo $mesSelecionado; ?>" />
						<input type="submit" name="imprimirDespesaMes"   value="Imprimir despesa do mes" />
			           <td><input type="button" onclick="location.href='?m=financeiro&t=resumo_mensal'" value="Voltar para RESUMO MENSAL" /></td> <!--vai para outra tela-->									
   						</td>
                        </tr>
                    </table>
					</fieldset>
	             </<form>
	
       <?php
	break;//desepesas do mes selecionado



	    case 'despesas_mensais':
		   echo("<h2>DESPESAS DO LABORATÓRIO</h2>");
	       $dataPagamentoLida=post('dataPagamento');
		   if($dataPagamentoLida==''):
		      $dataPagamento=date("d/m/Y");
		   else:
		      $dataPagamento=$dataPagamentoLida;
		   endif;	  
		     



	    if (post('gravarPagamento') !== ""):
		    $mensagemExtorno="(OK)";
			$vaiGravar="SIM";
            $valorPago=post('valorPago');
            $historico=post('historico');
			if($valorPago==0):
			   $vaiGravar="NAO";
			   printMSG('Preencha o valor pago. Não haverá gravação!','alerta');
			endif;
			//aqui vai o extorno, se o acara errou ou se age de ma fe
			if($valorPago<0):
			   //$vaiGravar="NAO";
			   printMSG('Valor pago menor que zero, será considerado um extorno de pagamento e vai ficar gravado, no historico e vai gravar abatendo o valor pago. Haverá gravação!','alerta');
			   $mensagemExtorno='(EXTORNO)';
			endif;
            $historico=post('historico');
			if(strlen($historico)<5):
			   $vaiGravar="NAO";
			   printMSG('Preencha um historico mais detalhado com pelo menos umas 5 letras. Não haverá gravação!','alerta');
			endif;
			$historico=$historico.$mensagemExtorno;
			$objetoValidacao=new validacao();
		    $retorno=$objetoValidacao->validaDataEntrada($dataPagamento);//esta data vai validar o ano e somente esta
			$vaiGravar="SIM";
		    if($retorno=='invalida'):
	             printMSG('Amigo, preencha corretamente a data do final do teste no formato dd/mm/aaaa, pois nenhum dado foi gravado. ','alerta');
	             $vaiGravar='NAO';
		    else:
			     $dt_entrada_americana=$retorno;
		    endif;                        
            //echo("datapagtoamericana=$dataPagamentoAmericana dataPagamento=$dt_entrada_americana<br>");
       	    if($vaiGravar=="SIM"):
	             //aqui vai criar o registro na tabela pagamento
				 $sql="insert into despesasmensais(des_historico,des_id_lab,des_valor,des_operador,des_data_despesa)";
		         $sql.="values('$historico','$idLabo','$valorPago','$nomeOperador','$dt_entrada_americana')";
			     //echo("sql de gravacao=$sql<br>");
		         $userNota = new generica();
	             $userNota->campos_valores = $sql;				 
				 $userNota->inserirEspecial($userNota);
			     printMSG('Ok. Pagamento foi registrado!','alerta');
				 $historico="";
                 $valorPago=0;
                 $pedido=0;				 
				 //$idNota=$userNota->linhasafetadas;			
			endif;//testa se vai gravar=sim
        endif; //aqui termina o isset do grava pagamento		



	   if($verificandoPagamentos!="SIM"): 
	    loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
		?>
		<font color="red"><h2><?php echo($cabecalhoTela)?></h2></font>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum pagamento encontrado.",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "300px",
                "sScrollX": "800px",
                "bPaginate": false,
                "aaSorting": [[1, "asc"]] 
               }); 
            });
			//em vez do zero coloquei 1 para ordenar pela coluna 1
        </script>
		
		
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
 	               <th>Histórico</th><th>Valor</th><th>Data despesa</th> <th>Data lançamento</th><th>Operador</th>
                </tr>
            </thead>
            <tbody>
            <?php 
	        //ENTRA DE QUAKQUER MANEIRA para achar o ultimo
			$generica=new tabelagenerica();
			$generica->tabela="despesasmensais";
  			
			
					$generica->campos_valores = array(
					"des_historico" => NULL,
					"des_datacad" => NULL,
					"des_data_despesa" => NULL,
					"des_valor" => NULL,
					"des_operador" => NULL,
				);
			$generica->extras_select ="  where des_id_lab=".$idLabo;
		    $generica->selecionaCampos($generica);
			$somaDespesas=0;
			while ($resgenerica = $generica->retornaDados()):
			    echo '<tr>';
                printf('<td>%s</td>',$resgenerica->des_historico);
                printf('<td>%s</td>',$resgenerica->des_valor);
				$somaDespesas+=$resgenerica->des_valor;
	                printf('<td>%s</td>', date("d/m/y",strtotime($resgenerica->des_data_despesa)));
	                printf('<td>%s</td>', date("d/m/y",strtotime($resgenerica->des_datacad)));
                printf('<td>%s</td>',$resgenerica->des_operador);
                echo '</tr>';
            endwhile;
                //coloca total  
			    echo '<tr>';
                printf('<td>%s</td>','Total=');
                printf('<td>%s</td>',$somaDespesas );
                printf('<td>%s</td>','-');
                printf('<td>%s</td>','-');
                printf('<td>%s</td>','-');
                echo '</tr>';




                ?>
            </tbody>
        </table>
        <?php
		endif;//fecha endif para testar se quero a lista de pagamentos
        ?>         	   
	   
	   
	            <form class="userform" method="post" action="">
				   <br>
				   <fieldset>
					<table  width="800">
					       <tbody>
							<tr>

					        <td>Valor</td>
							<td>Histórico(Depósito/Banco/Cheque/Dinheiro/Recibo/Extorno etc)</td>
							<td>Data despesa</td>

							</tr>
					        </tbody>
					
					
                        <tr>
                       
					    <td><input type="text" size="5"  maxlength="8"   name="valorPago"  value="<?php echo $valorPago; ?>" /></td>
					    <td><input type="text" size="60"  maxlength="91"   name="historico"  value="<?php echo $historico; ?>" /></td>
					    <td><input type="text" size="8"  maxlength="10"   name="dataPagamento"  value="<?php echo $dataPagamento; ?>" /></td>
                        <td><input type="submit" name="gravarPagamento"   value="Gravar Pagamento" />
   						</td>
                        </tr>
                    </table>
					</fieldset>
	             </<form>
				 <?php
    break; //break despesas mensais



case 'resumo_mensal':
	
	   if(post('imprimirControleMensal') !== ""):
	      $mesEscolhido=post('mesEscolhido');
          //echo("mesescolhido  $mesEscolhido ano exportavel=$ano<br>");		  
          echo '<iframe src="financeiroReceitasDespesasMensais.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
	   endif;

	   if(post('bt_mes') !== ""):
          $mesInicial=post('mesInicial');
          $mesFinal=post('mesFinal');
          echo("ini= $mesInicial  fim=$mesFinal<br>");
       endif; 

        $matriz_mensal[1][1]="01-Janeiro";
        $matriz_mensal[2][1]="02-Fevereiro";
        $matriz_mensal[3][1]="03-Março";
        $matriz_mensal[4][1]="04-Abril";
        $matriz_mensal[5][1]="05-Maio";
        $matriz_mensal[6][1]="06-Junho";
        $matriz_mensal[7][1]="07-Julho";
        $matriz_mensal[8][1]="08-Agosto";
        $matriz_mensal[9][1]="09-Setembro";
        $matriz_mensal[10][1]="10-Outubro";
        $matriz_mensal[11][1]="11-Novembro";
        $matriz_mensal[12][1]="12-Dezembro";
	    loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
		?>
		<font color="red"><h2><?php echo($cabecalhoTela)?></h2></font>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhuma receita/despesa mes encontrada",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "sScrollX": "800px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
			//em vez do zero colocando 1 para ordenar pela coluna 1
        </script>
		
		
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
 	               <th>Mes</th><th>Recebimentos</th><th>Despesas</th> <th>Diferença</th><th>Lucro</th>

                </tr>
            </thead>
            <tbody>
            <?php 
            //vai criar a matriz da receitas e despesasa
			$genericaDespesa=new tabelagenerica();
			$objetocalculo=new calculos();
			//SOMA AS DESCPEAS DE CADA MES
			//$mesInicial=7;$mesFinal=7;
			
			
            for($mes=$mesInicial;$mes<=$mesFinal;$mes++):
			    $somaDespesas=0;
			    $mesMatriz=$matriz_mensal[$mes][1];
                $mesBuscado=substr($mesMatriz,0,2);
	            //ENTRA DE QUAKQUER MANEIRA
				$genericaDespesa->tabela="despesasmensais";
						$genericaDespesa->campos_valores = array(
						"des_data_despesa" => NULL,
						"des_valor" => NULL,
					);
				$genericaDespesa->extras_select ="  where month(des_data_despesa)='".$mesBuscado."' and des_id_lab=".$idLabo;
			    $genericaDespesa->selecionaCampos($genericaDespesa);
				$somaDespesas=0;
				while ($resgenericaDespesa = $genericaDespesa->retornaDados()):
					$somaDespesas+=$resgenericaDespesa->des_valor;
	            endwhile;
			    $matriz_mensal[$mes][3]=$somaDespesas;
             endfor;

             //SOMA AS RECEITAS DE CADA MES 
             for($mes=$mesInicial;$mes<=$mesFinal;$mes++):
			    $genericaReceita=new tabelagenerica();

				$somaPagamentos=0;
			    $mesMatriz=$matriz_mensal[$mes][1];
				$mesBuscado=substr($mesMatriz,0,2);
	            //ENTRA DE QUAKQUER MANEIRA
				$genericaReceita->tabela="ficha";
						$genericaReceita->campos_valores = array(
						"fic_id" => NULL,
						"fic_pagou" => NULL,
						"fic_custo" => NULL,
						"fic_amostra" => NULL,
						"fic_tta_complementar" => NULL,
						"fic_pagou_extra" => NULL,
					);
	
				$genericaReceita->extras_select =" where fic_labo=".$idLabo." and    YEAR(fic_dt_entrada) = '". $anoCorrente."'  and month(fic_dt_entrada) = '". $mesBuscado."'";
				//$genericaReceita->extras_select =" where fic_labo=".$idLabo;

                //echo $genericaReceita->extras_select;  
				$genericaReceita->selecionaCampos($genericaReceita);
			    $testes="";
				$somaQuitacoes=0;
				$contador=0;
				$somaCusto=0;
			    while ($resgenericaReceita= $genericaReceita->retornaDados()):
					$amostraLong=$resgenericaReceita->fic_id;
					if($amostraLong>0):
						//$testes=$objetocalculo->capturaTestesSolicitados($amostraLong);	
						$pagamento=$resgenericaReceita->fic_pagou; 
						$pagamentoExtra=$resgenericaReceita->fic_pagou_extra; 
			            $custo=$resgenericaReceita->fic_custo; 
						//echo("pagamento=$pagamento custo= $custo <br>");
	                    $custoExtra=$resgenericaReceita->fic_tta_complementar;
						$somaCustos=$custo+$custoExtra;
						$custoCliente+=$somaCustos;
						if($pagamento=="SIM"):
					       $somaQuitacoes+=$custo;
					       $totalPago+=$custo;
						endif;
						if($pagamentoExtra=="SIM"):
					       $somaQuitacoes+=$custoExtra;
					       $totalPago+=$custoExtra;
						endif;
                    endif;					
				endwhile;	
			    $matriz_mensal[$mes][2]=$somaQuitacoes;
             endfor;//aqui encerra os pagamntos
				//fim sucatao pagamentos 
         
             //aqui vai mostrar a matriz
             for($mes=$mesInicial;$mes<=$mesFinal;$mes++):
                $mesBuscado=substr($mesMatriz,0,2);			 
                echo("<tr>");
                printf('<td>%s',$matriz_mensal[$mes][1]);//imprime o mes
                printf('<td>%s',number_format($matriz_mensal[$mes][2],2,",","."));//imprime recebimentos
				printf(' <a href="?m=financeiro&t=receitaMesSelecionado&mesSelecionado=%s" title="Editar"><img src="images/selection1.png" alt="Editar" /></a> </td>',$mesBuscado);
                printf('<td>%s',number_format($matriz_mensal[$mes][3],2,",","."));//imprime despesas
				printf(' <a href="?m=financeiro&t=despesaMesSelecionado&mesSelecionado=%s" title="Editar"><img src="images/selection1.png" alt="Editar" /></a> </td>',$mesBuscado);
				$diferenca=$matriz_mensal[$mes][2]-$matriz_mensal[$mes][3];
                $lucro+=$diferenca;
                printf('<td>%s</td>',number_format($diferenca,2,",","."));//diferenca
                printf('<td>%s</td>',number_format($lucro,2,",","."));
			    echo("</tr>");
			endfor;


                ?>
            </tbody>
        </table>
			       <form class="userform" method="post" action="">
				   <br>
				   <fieldset>
					<table  width="800">
					
                        <tr>
                        <td>
						<input type="submit" name="imprimirControleMensal"   value="Imprimir despesa e receita mensal" />
   						</td>

                        <td>
						Mes Inicial
						<input type="text" name="mesInicial" size="1"  value="<?php echo $mesInicial;?>" />
						Mes Final
						<input type="text" name="mesFinal" size="1"  value="<?php echo $mesFinal;?>" />
						<input type="submit" name="bt_mes"   value="Acha dados do mes" />
						
						
						</td>  
						
						
						
                        </tr>
                    </table>
					</fieldset>
	             </<form>
		
		
		
		
		
       <?php
	
	
	
	
	
 
	
echo("esta no resumo mensal<br>");	
break;



//aqui so vai mostrar os pagamentos de cada cliente
    case 'resumo_servicos_clientes':
		loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Requerente</th><th>Amostra</th><th>Pagou</th><th>Custo</th><th>Custo extra</th><th></th>
                </tr>
            </thead>
            <tbody>

            <?php 
			$userAmostra=new tabelagenerica();
			$userAmostra->extras_select =" select fic_amostra,fic_custo,prd_apelido,fic_pagou,fic_id,fic_amostra,fic_pagou_extra,fic_tta_complementar from ficha,remetente   where  prd_id=fic_produtor  and fic_labo=".$idLabo."  and   YEAR(fic_dt_entrada) = '". $anoCorrente."' order by prd_apelido";
			$userAmostra->selecionaCamposEspecial($userAmostra);
		    $testes="";
			$somaQuitacoes=0;
			$contador=0;
			
			while ($resUser= $userAmostra->retornaDados()):
			        $amostraLong=$resUser->fic_id;
			        echo"<tr>";
					printf('<td>%s</td>',$resUser->prd_apelido);
					$custo=$resUser->fic_custo;
                    $custoExtra=$resAmostra->fic_tta_complementar;
					$somaCustos=$custo+$custoExtra;
					printf('<td>%s</td>',$resUser->fic_amostra);
					printf('<td>%s</td>',$resUser->fic_pagou);
					printf('<td>%s</td>',$custo);
					printf('<td>%s</td>',$custoExtra);
					printf('<td>%s</td>',$somaCustos);
			        echo"</tr>";

			endwhile;
			
			

/*

			
			$campos="select distinct prd_apelido,prd_id";
			$generica=new generica();
			$generica->extras_select =$campos ."  from  ficha,remetente  where fic_labo=".$idLabo."  and prd_id=fic_produtor and YEAR(fic_dt_entrada)='".$anoCorrente."'  order by fic_amostra";
			$sqlFinal=$generica->extras_select;
			$generica->selecionaCamposEspecial($generica);
			$contador=1;
            //vou criar a matriz de conteudos que vai ter linhas e colunas
			$valorTotal=0;
            $saldoDevedor=0;
            $linhaRelatorio=1;
			
			
			

			while ($resgenerica= $generica->retornaDados()):
 			    $idRequerente=$resgenerica->prd_id;
                if($idRequerente>0):      				
				    echo"<tr>";
					//aqui tem o id do requerente e atraves dele vou pesquisas as amostras//////////////////////
					$userAmostra=new tabelagenerica();
					$userAmostra->extras_select =" select fic_pagou,fic_id,fic_amostra,fic_pagou_extra,fic_tta_complementar from ficha where  YEAR(fic_dt_entrada) = '". $anoCorrente."'  and fic_produtor=".$idRequerente;
					$userAmostra->selecionaCamposEspecial($userAmostra);
				    $testes="";
					$somaQuitacoes=0;
					$contador=0;
					$somaCusto=0;
	                $custoCliente=0;

				    while ($resAmostra = $userAmostra->retornaDados()):
						$amostraLong=$resAmostra->fic_id;
						//$testes=$objetocalculo->capturaTestesSolicitados($amostraLong);	
						$pagamento=$resAmostra->fic_pagou; 
						$pagamentoExtra=$resAmostra->fic_pagou_extra; 
			            
	                    $custoExtra=$resAmostra->fic_tta_complementar;
						$somaCustos=$custo+$custoExtra;
						$custoCliente+=$somaCustos;
						if($pagamento=="SIM"):
					       $somaQuitacoes+=$custo;
					       $totalPago+=$custo;
						endif;
						if($pagamentoExtra=="SIM"):
					       $somaQuitacoes+=$custoExtra;
					       $totalPago+=$custoExtra;
						endif;
					endwhile;	
					//soma los pagamientos
					//ENTRA DE QUAKQUER MANEIRA
					$generica1=new tabelagenerica();
					$generica1->tabela="pagamento";
					$generica1->campos_valores = array(
							"pag_valor" => NULL,
							"pag_datacad" => NULL,
					);
					$generica1->extras_select =" where year(pag_datacad)= '". $anoCorrente."'   and pag_id_cliente=".$idRequerente;
				    $generica1->selecionaCampos($generica1);
					///////////////
	                $somaPagamento=0;  				
					while ($resgenerica1 = $generica1->retornaDados()):
					    $somaPagamento+=$resgenerica1->pag_valor;
				    endwhile;				
						
					//final da varrdura de amostras do cliente....
					printf('<td>%s</td>',$resgenerica->prd_apelido);
					printf('<td>%s</td>',$custoCliente);
					printf('<td>%s</td>',$somaQuitacoes);
					printf('<td>%s</td>',$custoCliente-$somaQuitacoes);
					printf('<td>%s</td>',$somaPagamento);

                endif;//examina se id_REQUERENTE>0
            endwhile; 			
 */
                ?>
            </tbody>
        </table>
        
        <?php        
    break;




	
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>
